namespace Wizard;

public class InviteConfigUpdateTask : BaseTask
{
	public class InviteConfigUpdateTaskParam : BaseParam
	{
		public int receive_invitation;

		public int receive_invitation_in_battle;

		public int receive_invitation_in_offline;

		public int receive_friend_apply;
	}

	public InviteConfigUpdateTask()
	{
		base.type = ApiType.Type.InviteConfigUpdate;
	}

	public void SetParameter(bool receiveInvite, bool receiveInviteInBattle, bool receiveInviteInOffline, bool receiveFriendApply)
	{
		InviteConfigUpdateTaskParam inviteConfigUpdateTaskParam = new InviteConfigUpdateTaskParam();
		inviteConfigUpdateTaskParam.receive_invitation = (receiveInvite ? 1 : 0);
		inviteConfigUpdateTaskParam.receive_invitation_in_battle = (receiveInviteInBattle ? 1 : 0);
		inviteConfigUpdateTaskParam.receive_invitation_in_offline = (receiveInviteInOffline ? 1 : 0);
		inviteConfigUpdateTaskParam.receive_friend_apply = (receiveFriendApply ? 1 : 0);
		base.Params = inviteConfigUpdateTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
